Bug 196843 - (php-pear-Benchmark) Review Request: php-pear-Benchmark - PEAR: Framework to benchmark PHP scripts or function calls
Review Request: php-pear-Benchmark - PEAR: Framework to benchmark PHP scripts...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT php-pear-PHPUnit2
  Show dependency treegraph
 
Reported: 2006-06-27 03:39 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 21:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-27 03:39:59 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Benchmark.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Benchmark-1.2.6-1.src.rpm

Description:
Framework to benchmark PHP scripts or function calls.
Comment 1 Jason Tibbitts 2006-09-07 21:20:38 EDT
* source files match upstream:
   b130c602f82ee07af4021a59b6359003  Benchmark-1.2.6.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent (except for bogus dangerous-command-in-%post warning).
* final provides and requires are sane:
   php-pear(Benchmark) = 1.2.6
   php-pear-Benchmark = 1.2.6-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php-bcmath  (note that Requires(hint) is currently the same as Requires)
   php-pear(PEAR)
* %check is not present; no test suite upstream.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Christopher Stone 2007-03-08 20:36:03 EST
New Package CVS Request
=======================
Package Name: php-pear-Benchmark
Short Description: Framework to benchmark PHP scripts or function calls
Owners: chris.stone@gmail.com
Branches: EP-5
InitialCC: 
Comment 3 Jens Petersen 2007-03-09 07:45:49 EST
added EL-5 branch

Note You need to log in before you can comment on or make changes to this bug.